#!/bin/bash

# 2024.8.20 add check
echo
echo "### Check Board Start!!! ###"
### Check Audio ###
./Record_audio.sh 1>/dev/null 2>&1

### Check UART ###
cat /sys/bus/usb/devices/1-1.3.1/product 1>/dev/null 2>&1
uart_ok=$?

### Check Jtag ###
cat /sys/bus/usb/devices/1-1.3.2/manufacturer 1>/dev/null 2>&1
jtag_ok=$?
if [ $jtag_ok == 0 ]
then
        read manu </sys/bus/usb/devices/1-1.3.2/manufacturer 1>/dev/null 2>&1
        if [ "$manu" == "Digilent" ]
        then
                jtag_ok=0
        else
                jtag_ok=1
        fi
fi

### Check WIFI ###
insmod /home/root/rtl8188fu.ko 1>/dev/null 2>&1
ifconfig wlan0 up 1>/dev/null 2>&1
wifi_ok=$?

### Check ETH ###
#./dual_eth_test
#eth_ok=$?

# 该开发板为单边GPIO，无法使用
### Check GPIO ###
#if [ $(devmem 0x43c70000) == 0x00000000 -a $(devmem 0x43c70004) == 0x00000000 -a $(devmem 0x43c70008) == 0x00000000 ]
#then
#        gpio_ok=0
#else
#        gpio_ok=1
#fi

### Check Camera ###
insmod ov5640_drv.ko
./ov5640_conf
./video_trans &
sleep 3
killall video_trans
clear

if [ $uart_ok == 0 -a $jtag_ok == 0 -a $wifi_ok == 0 ]
then
        echo "#  ---> uart jtag wifi IS OK!!!     "
        echo
        echo "                ***            "
        echo "                ****           "
        echo "               *****           "
        echo "             *******           "
        echo "      **** *****************   "
        echo "      **** *****************   "
        echo "      **** *****************   "
        echo "      **** ****************    "
        echo "      **** ***************     "
        echo "      **** **************      "
        echo "      **** *************       "
        echo
else
        if [ $uart_ok != 0 ]
        then
                echo "#  ---> UART ERR!"
        fi

        if [ $jtag_ok != 0 ]
        then
                echo "#  ---> JTAG ERR!"
        fi

        if [ $wifi_ok != 0 ]
        then
                echo "#  ---> WIFI ERR!"
        fi

      #  if [ $gpio_ok != 0 ]
      #  then
      #          echo "#  ---> GPIO ERR!"
      #  fi

      #  if [ $eth_ok != 0 ]
      #  then
      #          echo "#  ---> ETH ERR!"
      #  fi
fi

echo "### Check Board Finish!!! ###"
echo
echo "---Play Music ---"
./Play_record.sh 1>/dev/null 2>&1


echo "---Check_KEY---"
hexdump /dev/input/event0


